#puppet-ocsinventory_agent

####Table of Contents

1. [Overview](#overview)
2. [Module Description - What the module does and why it is useful](#module-description)
3. [Setup - The basics of getting started with ocsinventory_agent](#setup)
    * [What ocsinventory_agent affects](#what-ocsinventory_agent-affects)
    * [Setup requirements](#setup-requirements)
    * [Beginning with ocsinventory_agent](#beginning-with-ocsinventory_agent)
4. [Usage - Configuration options and additional functionality](#usage)
5. [Reference - An under-the-hood peek at what the module is doing and how](#reference)
5. [Limitations - OS compatibility, etc.](#limitations)
6. [Development - Guide for contributing to the module](#development)
7. [License](#license)

##Overview

Module to install [ocsinventory_agent](http://www.ocsinventory-ng.org/en/home/roadmap/agent.html).

##Module Description

This module installs and runs the "ocsinventory-agent" on Debian computers. This module configures the agent to run against its OCSInventory server. Current deb version on wheezy main repository is 2.0.5.

##Setup

###What ocsinventory_agent affects

* Files affected: <code>/etc/ocsinventory/ocsinventory-agent.cfg</code> and files under <code>/var/lib/ocsinventory-agent/</code> folder.

###Setup Requirements

This module requires the [puppetlabs/stdlib](https://forge.puppetlabs.com/puppetlabs/stdlib) and [rlenglet/debconf_package](https://forge.puppetlabs.com/rlenglet/debconf_package) modules.
	
###Beginning with ocsinventory_agent	

Simply including this module will install and execute the *ocsinventory-agent* on your host.

##Usage

A sample configuration illustrates the basic usage of this module.
```
class { 'ocsinventory_agent':
  server => 'servername.domain',
  method => 'http',
  tag    => 'mytag',
}
```

##Reference
TODO List all the classes and organization

##Limitations

This module has been tested on:
* Debian wheezy

##Development

Please feel free to submit issues and pull requests to the project's Github page. Changes are periodically reviewed, merged, and published back to the Puppet Forge.

##License

Copyright 2011-2014 FranLR

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

   http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
