# == Class: ocsinventory_agent::params
#
# Parameters for the ocsinventory_agent module
#
# === Authors
#
# Fran Lois Rua <franlr@gmail.com>
#
# === Copyright
#
# Copyright 2014 Fran Lois Rua, unless otherwise noted.
#
class ocsinventory_agent::params {
  case $::osfamily {
    'Debian': {
      $ensure     = 'present'
      $provider   = 'apt'
      $ocspackage = 'ocsinventory-agent'
      $version    = '2.0.5'
      $type       = 'agent'
      $method     = 'http'
      $server     = 'ocsreports.domain.name'
      $ocstag     = 'ocstag'
      $source     = "puppet:///modules/ocsinventory_agent/ocsinventory-agent.seed"
    }  
    default: {
      fail("\$osfamily ${::osfamily} is not supported by the ${module_name} module.")
    }
  }
}
